Debian Bug report logs - #454856
FTBFS with GCC 4.3: missing #includes

version graph

Package: libsigcx; Maintainer for libsigcx is (unknown);

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 8 Dec 2007 02:24:09 UTC

Severity: serious

Tags: patch

Found in version 0.6.6-1

Fixed in version libsigcx/0.6.6-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#454856; Package libsigcx. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Fri, 7 Dec 2007 19:22:28 -0700
Package: libsigcx
Version: 0.6.6-1
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  There's some more information about this at
http://www.cyrius.com/journal/2007/05/10#gcc-4.3-include

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.


> Automatic build of libsigcx_0.6.6-1 on em64t by sbuild/amd64 0.53
...
>  g++ -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I/usr/lib/sigc++-1.2/include -I/usr/include/sigc++-1.2 -D_REENTRANT -DPNG_NO_MMX_CODE -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -g -Wall -O2 -c util.cc  -fPIC -DPIC -o .libs/util.o
> util.cc: In function 'std::string SigCX::errno_string(int)':
> util.cc:22: error: 'strerror_r' was not declared in this scope
> make[5]: *** [util.lo] Error 1
> make[5]: Leaving directory `/build/tbm/libsigcx-0.6.6/sigcx'

-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 24 Jan 2008 00:39:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#454856; Package libsigcx. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #12 received at 454856@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Martin Michlmayr <tbm@cyrius.com>, 454856@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#454856: FTBFS with GCC 4.3: missing #includes
Date: Tue, 4 Mar 2008 03:25:36 +0100
[Message part 1 (text/plain, inline)]
tag 454856 patch
thanks

Martin Michlmayr <tbm@cyrius.com> (07/12/2007):
> Package: libsigcx
> Version: 0.6.6-1
> Usertags: ftbfs-gcc-4.3

Hi,

please find attached a patch to fix this FTBFS.

Cheers,

-- 
Cyril Brulebois
[libsigcx_gcc-4.3.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Tue, 04 Mar 2008 02:27:05 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:45:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#454856; Package libsigcx. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #21 received at 454856@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 454856@bugs.debian.org
Subject: libsigcx: diff for NMU version 0.6.6-1.1
Date: Sun, 6 Apr 2008 00:06:29 +0100
[Message part 1 (text/plain, inline)]
tags 454856 + patch
thanks

Hi,

Attached is the diff for my libsigcx 0.6.6-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libsigcx-0.6.6-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 23:09:02 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 454856-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 454856-close@bugs.debian.org
Subject: Bug#454856: fixed in libsigcx 0.6.6-1.1
Date: Sat, 05 Apr 2008 23:17:04 +0000
Source: libsigcx
Source-Version: 0.6.6-1.1

We believe that the bug you reported is fixed in the latest version of
libsigcx, which is due to be installed in the Debian FTP archive:

libsigcx-0.6-4_0.6.6-1.1_amd64.deb
  to pool/main/libs/libsigcx/libsigcx-0.6-4_0.6.6-1.1_amd64.deb
libsigcx-0.6-dev_0.6.6-1.1_amd64.deb
  to pool/main/libs/libsigcx/libsigcx-0.6-dev_0.6.6-1.1_amd64.deb
libsigcx-gtk-0.6-1c2_0.6.6-1.1_amd64.deb
  to pool/main/libs/libsigcx/libsigcx-gtk-0.6-1c2_0.6.6-1.1_amd64.deb
libsigcx-gtk-0.6-dev_0.6.6-1.1_amd64.deb
  to pool/main/libs/libsigcx/libsigcx-gtk-0.6-dev_0.6.6-1.1_amd64.deb
libsigcx_0.6.6-1.1.diff.gz
  to pool/main/libs/libsigcx/libsigcx_0.6.6-1.1.diff.gz
libsigcx_0.6.6-1.1.dsc
  to pool/main/libs/libsigcx/libsigcx_0.6.6-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 454856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libsigcx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 22:55:48 +0000
Source: libsigcx
Binary: libsigcx-0.6-4 libsigcx-0.6-dev libsigcx-gtk-0.6-1c2 libsigcx-gtk-0.6-dev
Architecture: source amd64
Version: 0.6.6-1.1
Distribution: unstable
Urgency: low
Maintainer: Andreas Rottmann <rotty@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libsigcx-0.6-4 - libSigCX (libSigC++ Extras) - runtime
 libsigcx-0.6-dev - libSigCX (libSigC++ Extras) - development
 libsigcx-gtk-0.6-1c2 - libSigCX (libSigC++ Extras) GTK+ dispatcher - runtime
 libsigcx-gtk-0.6-dev - libSigCX (libSigC++ Extras) GTK+ dispatcher - development
Closes: 454856
Changes: 
 libsigcx (0.6.6-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with gcc-4.3.  Patch from Cyril Brulebois.  Closes: #454856
Files: 
 cef42f3b6ce27ff930ae72bb7b2d4661 766 libdevel optional libsigcx_0.6.6-1.1.dsc
 1091e46d124dc65f2b953aec7fcddf3a 3369 libdevel optional libsigcx_0.6.6-1.1.diff.gz
 11303c83affa49d02b124d9df8d2b75e 36800 libs optional libsigcx-0.6-4_0.6.6-1.1_amd64.deb
 fd39b0c4b192db1b746c9c0c6a403f65 141270 libdevel optional libsigcx-0.6-dev_0.6.6-1.1_amd64.deb
 38276aa0e08ec87f87e7cd7f89e2e3d7 16712 libs optional libsigcx-gtk-0.6-1c2_0.6.6-1.1_amd64.deb
 60648c21a2cee251d7a42efb1d4b50d5 17070 libdevel optional libsigcx-gtk-0.6-dev_0.6.6-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+AdaNIW6CNDsByMRApBdAJ4mWJv2kzMBH1w+ltM2t1L2Wv4bAgCg16N+
qh9bcUJGopZM6cPrHCnb6ys=
=mOwz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:44:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:31:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.